1 Reply Latest reply: Jun 21, 2011 5:52 PM by Jim VanLeeuwen
esquire33 Level 1 Level 1 (0 points)

I have a emac running 10.4 i just replaced my hard drive and downloaded my old files.

Now my itunes does not work.  I was running an old version of itunes(version 4) but it worked a month ago. When

I had problems.  Version itunes 10 needs operating system 10.5 but i cannot comply.


itunes, Mac OS X (10.4)